/// <reference types="node" />
import { SchemaRegistry } from '@kafkajs/confluent-schema-registry';
export * from '@kafkajs/confluent-schema-registry';
export declare class DomainSchema<T> {
    readonly schemaValue: string;
    private _registryId;
    constructor(schema?: string | Record<string, any>);
    encode(value: T): Promise<Buffer>;
    decode(value: Buffer): Promise<T>;
    get registryId(): number;
}
export declare class Registry {
    private static self;
    private registry;
    private constructor();
    static init(url: string, overrides?: any): void;
    static get instance(): SchemaRegistry;
}
